Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class ConexaoLista

    java.lang.Object
      estella.lib.Lista
          estella.lib.ConexaoLista

    public class ConexaoLista

extends Lista

Gerencia uma lista do tipo Conexao Essa classe depende da classe de Lista, no qual gerencia uma Lista de objetos

Since:
  01/12/2005
See Also:
  `Lista`

Field Summary

Fields inherited from class estella.lib.Lista
`CON, LISTA, LOG`

Constructor Summary
`ConexaoLista()`
`ConexaoLista(java.util.List LISTA)`

Method Summary
`boolean` | `desconecta(java.lang.String host, int porta)` Verifica se existe um host (ip / nome computador) na lista e o desconecta
`boolean` | `envia(java.lang.String msg)` Envia a mensagem para todos da lista
`boolean` | `envia(java.lang.String msg, java.lang.String hostOrigem)` Envia a mensagem para todos da lista menos para o host de origem
`boolean` | `existe(java.lang.String host)` Verifica se existe um host (ip / nome computador) na lista
`boolean` | `fechaConexoes()` Fecha conexao de todos da lista

Methods inherited from class estella.lib.Lista
`adiciona, existe, limpa, remove, retorna, tamanho`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConexaoLista

    public ConexaoLista()

### ConexaoLista

    public ConexaoLista(java.util.List LISTA)

Method Detail

### existe

    public boolean existe(java.lang.String host)

  Verifica se existe um host (ip / nome computador) na lista

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### desconecta

    public boolean desconecta(java.lang.String host,
                              int porta)

  Verifica se existe um host (ip / nome computador) na lista e o desconecta

  Parameters:
    `host` - a ser verificado
  Returns:
    true ou false

### envia

    public boolean envia(java.lang.String msg)

  Envia a mensagem para todos da lista

  Parameters:
    `msg` - String com a mensagem
  Returns:
    true ou false

### envia

    public boolean envia(java.lang.String msg,
                         java.lang.String hostOrigem)

  Envia a mensagem para todos da lista menos para o host de origem

  Parameters:
    `hostOrigem` - string com o host que nao eh pra enviar
    `msg` - String com a mensagem
  Returns:
    true ou false

### fechaConexoes

    public boolean fechaConexoes()

  Fecha conexao de todos da lista

  Returns:
    true ou false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD